/*
 * =====================================================================================
 *
 *       Filename:  save_raw_image.h
 *
 *    Description:  save_raw_image header file
 *
 *        Version:  1.0
 *
 *         Author:  Alexander Aring, a.aring@phytec.de
 *        Company:  PHYTEC
 *
 * =====================================================================================
 */

#ifndef __SAVE_RAW_IMAGE_H__
#define __SAVE_RAW_IMAGE_H__

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <limits.h>

#include "fmutils.h"
#include "v4l2_capture.h"
#include "regparse.h"

/*-----------------------------------------------------------------------------
 *  Some failure usage strings.
 *-----------------------------------------------------------------------------*/
#define SAVE_RAW_IMAGE_USAGE	"[-n \"Dateiname.raw\"] [-r \"Registersettings.txt\"] [-f Farbformat] [-D Video-Device] [-d drop-frames(uint)] [-t timeout(uint)] [-R WIDTHxHEIGHT] [-T \"Registersettings.txt for timeout\"]\n"
#define DEFAULT_SAVE_FILE		"image.raw"
#define DEFAULT_COLOR_FORMAT	"mono"

#endif /* __SAVE_RAW_IMAGE_H__ */

