# -*makefile-*-
#
# Copyright (C) 2013 by Daniel Mierswa
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TELNET_AUTOSTART) += telnet_startscript

TELNET_AUTOSTART_VERSION	:= 0.0.1

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/telnet_startscript.targetinstall:
	@$(call targetinfo)

	@$(call install_init,  telnet_startscript)
	@$(call install_fixup, telnet_startscript,PRIORITY,optional)
	@$(call install_fixup, telnet_startscript,VERSION,$(TELNET_AUTOSTART_VERSION))
	@$(call install_fixup, telnet_startscript,SECTION,base)
	@$(call install_fixup, telnet_startscript,AUTHOR,"Daniel Mierswa")
	@$(call install_fixup, telnet_startscript,DESCRIPTION,missing)

	@$(call install_alternative, telnet_startscript, 0, 0, 0644, \
		/lib/systemd/system/telnetd@.service)
	@$(call install_alternative, telnet_startscript, 0, 0, 0644, \
		/lib/systemd/system/telnetd.socket)
	@$(call install_link, telnet_startscript, ../telnetd.socket, \
		/lib/systemd/system/sockets.target.wants/telnetd.socket)

	@$(call install_finish, telnet_startscript)
	@$(call touch)

# vim: syntax=make
